Package de.willuhn.jameica.hbci.gui.chart

# Class ChartDataSaldoLimit

java.lang.Object
de.willuhn.jameica.hbci.gui.chart.AbstractChartDataSaldo
de.willuhn.jameica.hbci.gui.chart.ChartDataSaldoLimit

All Implemented Interfaces:
  `ChartData`, `LineChartData`

public class ChartDataSaldoLimit extends AbstractChartDataSaldo
Implementierung eines Datensatzes für die Darstellung des Limits.

## Field Summary

### Fields inherited from class de.willuhn.jameica.hbci.gui.chart.AbstractChartDataSaldo

`i18n`

## Constructor Summary

Constructors
Constructor
Description
`ChartDataSaldoLimit(Konto k, Date start, SaldoLimit.Type type)`
ct.

## Method Summary

Modifier and Type
Method
Description
`int[]`
`getColor()`
Liefert ein Array mit den Farbwerten (0-255) fuer Ror, Gruen und Blau.
`List`
`getData()`
Liefert die zu zeichnende Datenreihe.
`String`
`getLabel()`
Liefert das Label der Datenreihe.
`LineStyle`
`getLineStyle()`
Liefert den Linienstil.
`int`
`getLineWidth()`
Liefert die Linienbreite in Pixel.
`boolean`
`isFilled()`
Legt fest, ob die Flaeche unter der Linie gefüllt ist oder nicht.
`boolean`
`isLegendEnabled()`
True, wenn die Linie in der Legende angezeigt werden soll.

### Methods inherited from class de.willuhn.jameica.hbci.gui.chart.AbstractChartDataSaldo

`getCurve, getDataAttribute, getLabelAttribute, setColor, setLegendEnabled`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChartDataSaldoLimit

public ChartDataSaldoLimit(Konto k, Date start, SaldoLimit.Type type)
ct.

Parameters:
  `k` - das Konto.
  `start` - das Start-Datum.
  `type` - die Art des Limits.

## Method Details

### getData

public List getData() throws RemoteException
Description copied from interface: `ChartData`
Liefert die zu zeichnende Datenreihe.

Returns:
  Datenreihe.
Throws:
  `RemoteException`
See Also:
  - `ChartData.getData()`

### getLabel

public String getLabel() throws RemoteException
Description copied from interface: `ChartData`
Liefert das Label der Datenreihe.

Returns:
  Label der Datenreihe.
Throws:
  `RemoteException`
See Also:
  - `ChartData.getLabel()`

### getColor

public int[] getColor() throws RemoteException
Description copied from interface: `LineChartData`
Liefert ein Array mit den Farbwerten (0-255) fuer Ror, Gruen und Blau.

Specified by:
  `getColor` in interface `LineChartData`
Overrides:
  `getColor` in class `AbstractChartDataSaldo`
Returns:
  Array mit den Farbwerten oder null, wenn eine zufaellige Farbe gewaehlt werden soll.
Throws:
  `RemoteException`
See Also:
  - `AbstractChartDataSaldo.getColor()`

### getLineStyle

public LineStyle getLineStyle() throws RemoteException
Description copied from interface: `LineChartData`
Liefert den Linienstil.

Specified by:
  `getLineStyle` in interface `LineChartData`
Overrides:
  `getLineStyle` in class `AbstractChartDataSaldo`
Returns:
  der Linienstil.
Throws:
  `RemoteException`
See Also:
  - `AbstractChartDataSaldo.getLineStyle()`

### getLineWidth

public int getLineWidth() throws RemoteException
Description copied from interface: `LineChartData`
Liefert die Linienbreite in Pixel.

Specified by:
  `getLineWidth` in interface `LineChartData`
Overrides:
  `getLineWidth` in class `AbstractChartDataSaldo`
Returns:
  die Linienbreite in Pixel.
Throws:
  `RemoteException`
See Also:
  - `AbstractChartDataSaldo.getLineWidth()`

### isLegendEnabled

public boolean isLegendEnabled() throws RemoteException
Description copied from interface: `LineChartData`
True, wenn die Linie in der Legende angezeigt werden soll.

Specified by:
  `isLegendEnabled` in interface `LineChartData`
Overrides:
  `isLegendEnabled` in class `AbstractChartDataSaldo`
Returns:
  true, wenn die Linie in der Legende angezeigt werden soll.
Throws:
  `RemoteException`
See Also:
  - `AbstractChartDataSaldo.isLegendEnabled()`

### isFilled

public boolean isFilled() throws RemoteException
Description copied from interface: `LineChartData`
Legt fest, ob die Flaeche unter der Linie gefüllt ist oder nicht.

Specified by:
  `isFilled` in interface `LineChartData`
Overrides:
  `isFilled` in class `AbstractChartDataSaldo`
Returns:
  true falls gefuellt.
Throws:
  `RemoteException`
See Also:
  - `AbstractChartDataSaldo.isFilled()`